<?php
ViewResponse::getInstance()->setMethodAjax();

$o_ObjectBean = new PrestamoBean();
  
//COLOCAR CAMPOS DE LA CABECERA DEL LISTADO  

if($cboMercado     	!=""){ $o_ObjectBean->setIdMercado($cboMercado);}
if($cboColaborador     	!=""){ 
	$o_ObjectBean->setIdColaboradorPrestamo($cboColaborador);
}else{
	if(myUser::getUser()->getRoleId() == "sys.gen" || myUser::getUser()->getRoleId() == "sys.res" || myUser::getUser()->getRoleId() == "sys.sup"|| myUser::getUser()->getRoleId() == "sys.view"){
		
	}else{
		$o_ObjectBean->setIdColaboradorPrestamo(myUser::getUser()->getIdColaborador());
	}
}

if($FechaInicial  !=""){ $o_ObjectBean->setFechaInicio($FechaInicial); }

$o_ObjectBean->setEstado('P');
$o_ObjectBean->setFlagReporte('1');

$o_class = new PrestamoBL();
$a_ObjectBean = $o_class->busquedaPrestamo($o_ObjectBean);
/*****************************************/



$pdf = new TCPDF('P', PDF_UNIT,'A5', true); 

$pdf->setHeaderFont(array('times','',7));
$pdf->setFooterMargin('15');

$o_ColaboradorBean = new ColaboradorBean();
$o_ColaboradorBean->setIdColaborador(myUser::getUser()->getIdColaborador());
$o_ColaboradorBL = new ColaboradorBL();
$a_o_Colaborador = $o_ColaboradorBL->busquedaColaborador($o_ColaboradorBean);

foreach ($a_o_Colaborador as $key => $o_Colaborador){
	$NombreRepresentante = utf8_encode(ucwords($o_Colaborador->getNombreCompleto()));
	
}

$o_MercadoBean = new MercadoBean();
$o_MercadoBean->setIdMercado($cboMercado);
$o_MercadoBL = new MercadoBL();
$a_o_Mercado = $o_MercadoBL->busquedaMercado($o_MercadoBean);

foreach ($a_o_Mercado as $key => $o_Mercado){
	$NombreMercado = utf8_encode(ucwords($o_Mercado->getDescripcion()));
}


$str = 'Mercado:'.ucwords($NombreMercado).'          Representante :'.ucwords($NombreRepresentante).'        Fecha:'.date('Y-m-d');


$pdf->setHeaderData('','','Reporte de Clientes Morosos',$str);

define("POS_IZQ", 1);

$pdf->AddPage();

/*iniciop titulo*/
$pdf->SetFont('times','B',13);
$pdf->SetX(POS_IZQ);


/*fin titulo*/

/*inicio de cabecera*/
$pdf->SetFont('times','B',7);
$pdf->SetXY(POS_IZQ,9);


foreach ($a_ObjectBean as $iKey => $o_objBean){
  $sumaTotalSaldo += $o_objBean->getSaldoPrestamo();
   if($o_objBean->getEstado() == 'P' && $o_objBean->getFechaVencimiento() < date('Y-m-d')){ 	
  	$sumaVencido += $o_objBean->getSaldoPrestamo();
  }
}


$pdf->SetFillColor(254,254,254);
$pdf->SetFont('times','',7);

$pdf->SetX(POS_IZQ);
$pdf->Cell(25,3,"N.P: ".(count($a_ObjectBean)),0,0,'L',1);
$pdf->Cell(25,3,"T.S: ".(number_format($sumaTotalSaldo,2)),0,0,'L',1);
$pdf->Cell(25,3,"T.V: ".(number_format($sumaVencido,2)),0,1,'L',1);
 
$pdf->SetX(POS_IZQ); 
$pdf->SetFillColor(236,235,236);  
$pdf->SetFont('times','',7);
$pdf->Cell(9,4,'Nro.',1,0,'L',1);
$pdf->Cell(55,4,'Cliente',1,0,'L',1);
$pdf->Cell(12,4,'Capital',1,0,'L',1);
$pdf->Cell(13,4,'Saldo',1,0,'L',1);
$pdf->Cell(9,4,'C.Pago',1,0,'L',1);
$pdf->Cell(10,4,'N.Pag',1,0,'L',1);
$pdf->Cell(15,4,'F.Vencim',1,0,'L',1);
$pdf->Cell(5,4,'T',1,0,'L',1);
$pdf->Cell(10,4,'',1,0,'L',1);
$pdf->Cell(9,4,'',1,1,'L',1);
//$pdf->Cell(10,0,'',1,1,'L',1);

//$pdf->Cell(10,4,date('Y-m-d'),1,0,'L',1);
/*$pdf->Cell(10,4,date('Y-m-d',strtotime('+1 days')),1,0,'L',1);
$pdf->Cell(10,4,date('Y-m-d',strtotime('+2 days')),1,1,'L',1);*/

//$pdf->Cell(35,4,'Inicio',0,0,'L',1);
/*fin de cabecera*/



$pos    = 25;
$count  = 0;
$x      = 0;
$pdf->SetFillColor(254,254,254);
$pdf->SetFont('times','',9);

if(count($a_ObjectBean)>0){
//for($i=1;$i<50;$i++){	
  reset($a_ObjectBean);
 
  
  foreach ($a_ObjectBean as $iKey => $o_objBean){
  	  $fechaven = "";	
  	  $vencido = "";	
  	  if($o_objBean->getEstado() == 'P' && $o_objBean->getFechaVencimiento() < date('Y-m-d')){ 	
  	  	$vencido = "V";
  	  	$fechaven=  $o_objBean->getFechaVencimiento();
  	  }
  	  if($o_objBean->getOrigen() == 'R'){
  	  	$origen ='N';
  	  }elseif($o_objBean->getOrigen() == 'F'){
  	  	$origen ='R';
  	  }
  	  $amortizacion = $o_objBean->getMontoTotal() - $o_objBean->getSaldoPrestamo();
      $pdf->SetX(POS_IZQ);
      $pdf->Cell(9,4,($o_objBean->getIdPrestamo()),1,0,'L',1);
      $pdf->Cell(55,4,utf8_encode(ucwords(strtolower($o_objBean->getObjectCliente()->getNombreCompleto()))),1,0,'L',1);
      $pdf->Cell(12,4,number_format($o_objBean->getMontoTotal(),2),1,0,'R',1);
      $pdf->Cell(13,4,number_format($o_objBean->getSaldoPrestamo(),2),1,0,'R',1);
      //$pdf->Cell(9,4,number_format($amortizacion,2),1,0,'R',1);
      $pdf->Cell(9,4,number_format($o_objBean->getCuotaPago(),2),1,0,'R',1);
      $pdf->Cell(10,4,$o_objBean->getNroPagos(),1,0,'C',1);
     
      //$pdf->Cell(5,4,$fechaven,1,0,'R',1);
      $pdf->SetFont('times','',7);
      $pdf->Cell(15,4,$fechaven,1,0,'R',1);
      $pdf->Cell(5,4,$origen,1,0,'C',1);
      $pdf->Cell(10,4,'',1,0,'L',1);
      $pdf->Cell(9,4,'',1,1,'L',1);
      //$pdf->Cell(10,0,'',1,1,'L',1);
      
    }
//}
}else{  
  $pdf->SetXY(POS_IZQ,$pos);
  $pdf->Cell(200,4,"No hay registros.",0,0,'L',1);
  
}
$pdf->Output();
?>